﻿using System;
using System.Windows;
using System.Windows.Input;
using BingMapsCalculateRouteDemo.ViewModels;
using Microsoft.Maps.MapControl.WPF;
using BingMapsCalculateRouteDemo.Business;

namespace BingMapsCalculateRouteDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataContext = new RouteViewModel();
        }

        private void Route_MouseEnter(object sender, MouseEventArgs e)
        {
            FrameworkElement pin = sender as FrameworkElement;
            MapLayer.SetPosition(ContentPopup, MapLayer.GetPosition(pin));
            MapLayer.SetPositionOffset(ContentPopup, new Point(20, -15));

            var location = (Direction)pin.Tag;

            ContentPopupText.Text = location.Description;
            ContentPopup.Visibility = Visibility.Visible;
        }

        private void Route_MouseLeave(object sender, MouseEventArgs e)
        {
            ContentPopup.Visibility = Visibility.Collapsed;
        }
    }
}
